Bug 1035897 - Review Request: open-sans-fonts - a humanist sans-serif typeface
Summary: Review Request: open-sans-fonts - a humanist sans-serif typeface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathaniel McCallum
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1036754
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-28 18:31 UTC by Petr Vobornik
Modified: 2014-01-23 11:16 UTC (History)
7 users (show)

Fixed In Version: open-sans-fonts-1.10-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-23 11:05:30 UTC
nathaniel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Vobornik 2013-11-28 18:31:15 UTC
Spec URL: http://pvoborni.fedorapeople.org/open-sans-fonts/open-sans-fonts.spec
SRPM URL: http://pvoborni.fedorapeople.org/open-sans-fonts/open-sans-fonts-1.10-1.fc19.src.rpm
Description: Open Sans is a humanist sans serif typeface designed by Steve Matteson, Type Director of Ascender Corp. This version contains the complete 897 character set, which includes the standard ISO Latin 1, Latin CE, Greek and Cyrillic character sets. Open Sans was designed with an upright stress, open forms and a neutral, yet friendly appearance. It was optimized for print, web, and mobile interfaces, and has excellent legibility characteristics in its letter forms.
Fedora Account System Username: pvoborni
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=6237798

This is the first package I'm submitting to Fedora. Thus I'm seeking a sponsor.

Additional info: I could not find a proper upstream. Since the font was commisioned by Google, the source archive was created from a one downloaded from Google Fonts web service.

During rpm build, font's embed permission is set to 'installable' according to discussion on fedora-devel: https://lists.fedoraproject.org/pipermail/devel/2013-November/192518.html

Comment 1 Petr Vobornik 2013-12-02 15:19:34 UTC
I've replaced the usage of custom font forge script which sets the embeddable to installable by ttembed tool. ttembed is cleaner solution since it doesn't regenerate the whole font file and can be also used by other font packages.

Spec and SRPM were updated.

ttembed package is currently under review: bug 1036754

Comment 2 T.C. Hollingsworth 2013-12-06 18:50:53 UTC
Will be sponsored pending review of bug 1036754.

Comment 3 Nathaniel McCallum 2014-01-10 19:08:52 UTC
 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
open-sans-fonts.src: W: strange-permission getopensans.sh 0755L
open-sans-fonts.src: W: invalid-url Source0: open-sans-fonts-1.10.tar.xz
open-sans-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/open-sans-fonts/LICENSE.txt

These warnings are all fine given the difficulty of finding a proper source URL.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[=] MUST: The package must meet the Packaging Guidelines.
I *think* this needs to go in the fonts group.
See: https://fedoraproject.org/wiki/Packaging:FontsPolicy#Grouping

[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
This doesn't apply given that we are generating the source package.

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Packages should try to preserve timestamps of original installed files.

Comment 4 Nathaniel McCallum 2014-01-10 19:09:17 UTC
Conditionally approved pending clarification on the groups requirement.

Comment 5 Petr Vobornik 2014-01-13 12:45:10 UTC
I will add it to 'fonts' group after publishing the package according to step 3a in https://fedoraproject.org/wiki/Font_package_lifecycle

Comment 6 Parag AN(पराग) 2014-01-13 13:13:34 UTC
Nathaniel,
   That comps addition happens when packages are built and available in koji. So that is not a blocker for this review.

Comment 7 Nathaniel McCallum 2014-01-13 15:23:08 UTC
I'm not able to set fedora-review to '+' for some reason. I'm guessing because I'm not in the sponsors group.

Comment 8 Parag AN(पराग) 2014-01-13 15:28:39 UTC
Is your fas id npmccallum? if yes I see its connected with other email id.

Comment 9 Nathaniel McCallum 2014-01-13 15:45:09 UTC
Yes, it is.

Comment 10 Petr Vobornik 2014-01-13 16:20:28 UTC
New Package SCM Request
=======================
Package Name: open-sans-fonts
Short Description: Open Sans is a humanist sans-serif typeface designed by Steve Matteson
Owners: pvoborni
Branches: f19 f20
InitialCC:fonts-sig

Comment 11 Gwyn Ciesla 2014-01-13 17:19:56 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2014-01-14 13:15:10 UTC
open-sans-fonts-1.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/open-sans-fonts-1.10-1.fc19

Comment 13 Fedora Update System 2014-01-14 13:16:08 UTC
open-sans-fonts-1.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/open-sans-fonts-1.10-1.fc20

Comment 14 Fedora Update System 2014-01-15 05:53:45 UTC
open-sans-fonts-1.10-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 15 Fedora Update System 2014-01-23 11:05:30 UTC
open-sans-fonts-1.10-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 16 Fedora Update System 2014-01-23 11:16:25 UTC
open-sans-fonts-1.10-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.